# Created by pyp2rpm-1.0.1
%global pypi_name reftools
%define version 1.6.4

Name:           python-reftools
Version:        %{version}
Release:        %mkrel 3
Group:          Sciences/Astronomy
Summary:        Set of tools used to support creation of calibration reference files for Hubble Space Telescope

License:        BSD
URL:            http://www.stsci.edu/resources/software_hardware/stsci_python
Source0:        https://pypi.python.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
 
BuildRequires:  python-devel
BuildRequires: python-sphinx
BuildRequires: python-stsci-sphinxext
BuildRequires: python-pysynphot

Obsoletes: python-stsci <= 2.13-4

%description
False


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info



%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

# generate html docs 
sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc html lib/reftools/LICENSE.txt LICENSE.txt
%{_bindir}/tdspysyn
%{python_sitearch}/%{pypi_name}
%{python_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.6.4-3.mga4
+ Revision: 544162
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.6.4-2.mga4
+ Revision: 499285
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Sep 12 2013 joequant <joequant> 1.6.4-1.mga4
+ Revision: 478152
- remove binary directory
- fix build requires
- add sphinxext
- imported package python-reftools

